Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: Yes
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26297
Description

Greetings,

I've tried to use the fill method(double click header) for a batch process and it doesn't work with file provided from open layers, giving off
the following error:

2018-03-10T11:53:32 WARNING Traceback (most recent call last):
File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\BatchPanel.py", line 282, in fillParameterValues
self.wrappers[row][column].setValue(wrapper.value())
File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\wrappers.py", line 1361, in setValue
return self.widget.setText(value)
AttributeError: 'BatchinputSelectionPanel' object has no attribute 'setText'

| have also tried to use the autofill option with an input field of my model to complete the name of the output ( something equivalent to
"name_of_output{}.shp".format(value_field_of_model) in python) but | get the following error when providing my input field to the "autofill
from parameter” popup:

2018-03-10T11:28:38 WARNING Traceback (most recent call last):
File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\BatchPanel.py", line 282, in fillParameterValues
self.wrappers[row][column].setValue(wrapper.value())
File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\wrappers.py", line 1493, in value
return [self.widget.optionsi] for i in self.widget.selectedoptions]
File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\wrappers.py", line 1493, in <listcomp>
return [self.widget.optionsi] for i in self.widget.selectedoptions]
TypeError: list indices must be integers or slices, not str

Maybe I'm doing it wrong.

Associated revisions

Revision 950d042e - 2018-06-01 07:55 AM - Nyall Dawson

[processing] Fix errors when filling parameters in batch panel

Fixes #18408

History

#1 - 2018-03-10 08:37 PM - Salvatore Larosa
What algorithm are you using the batch process for?

#2 - 2018-03-10 09:14 PM - al ray
- File model1_flow.png added

Batch process is for a model | made(see attached file) The value that | want to add to the output is the buffer_| value which is a Number parameter/input.

#3 - 2018-05-07 03:36 PM - Mattias Spangmyr

| encountered a similar error using the batch version of SAGA's "Upslope area" from the processing toolbox in QGIS 3.0.2 on Windows 7 x64 (code rev.

307d082e3d). Error when double clicking the parameter column's header:

Traceback (most recent call last):

File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\BatchPanel.py", line 282, in fillParameterValues

self.wrappers[row][column].setValue(wrapper.value())

File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\wrappers.py", line 847, in setValue

self.widget.setText(value)

AttributeError: 'BatchinputSelectionPanel’ object has no attribute 'setText'

#4 - 2018-06-01 07:54 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|950d042e72cdb27b9c3c57a013e59bbb50e2b202.
